Update Custom Creative Setting
curl --request PUT \
--url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_offer_creative_ids": [
10,
20
],
"network_affiliate_ids": [
100,
200
],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": false,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": false
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/creative/{settingId}"
payload = {
"network_offer_creative_ids": [10, 20],
"network_affiliate_ids": [100, 200],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": False,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": False
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_offer_creative_ids: [10, 20],
network_affiliate_ids: [100, 200],
name: 'Updated Holiday Banner',
custom_setting_status: 'active',
creative: {
network_id: 1,
network_offer_id: 5,
name: 'Updated Banner Creative',
creative_type: 'html',
is_private: false,
creative_status: 'active',
html_code: '<div>Updated ad content</div>',
width: 300,
height: 250,
additional_offer_ids: [],
is_apply_specific_affiliates: false
}
})
};
fetch('https://api.eflow.team/v1/networks/custom/creative/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/creative/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'network_offer_creative_ids' => [
10,
20
],
'network_affiliate_ids' => [
100,
200
],
'name' => 'Updated Holiday Banner',
'custom_setting_status' => 'active',
'creative' => [
'network_id' => 1,
'network_offer_id' => 5,
'name' => 'Updated Banner Creative',
'creative_type' => 'html',
'is_private' => false,
'creative_status' => 'active',
'html_code' => '<div>Updated ad content</div>',
'width' => 300,
'height' => 250,
'additional_offer_ids' => [
],
'is_apply_specific_affiliates' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/creative/{settingId}"
payload := strings.NewReader("{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/custom/creative/{settingId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/creative/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"network_custom_creative_setting_id": 123,
"network_id": 123,
"network_offer_creative_ids": [
123
],
"network_affiliate_ids": [
123
],
"name": "<string>",
"custom_setting_status": "active",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliates": [
{}
],
"creative": {}
}
}Custom Creatives
Update Custom Creative Setting
Update an existing custom creative setting. All fields must be provided in the request body.
PUT
/
networks
/
custom
/
creative
/
{settingId}
Update Custom Creative Setting
curl --request PUT \
--url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_offer_creative_ids": [
10,
20
],
"network_affiliate_ids": [
100,
200
],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": false,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": false
}
}
'import requests
url = "https://api.eflow.team/v1/networks/custom/creative/{settingId}"
payload = {
"network_offer_creative_ids": [10, 20],
"network_affiliate_ids": [100, 200],
"name": "Updated Holiday Banner",
"custom_setting_status": "active",
"creative": {
"network_id": 1,
"network_offer_id": 5,
"name": "Updated Banner Creative",
"creative_type": "html",
"is_private": False,
"creative_status": "active",
"html_code": "<div>Updated ad content</div>",
"width": 300,
"height": 250,
"additional_offer_ids": [],
"is_apply_specific_affiliates": False
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_offer_creative_ids: [10, 20],
network_affiliate_ids: [100, 200],
name: 'Updated Holiday Banner',
custom_setting_status: 'active',
creative: {
network_id: 1,
network_offer_id: 5,
name: 'Updated Banner Creative',
creative_type: 'html',
is_private: false,
creative_status: 'active',
html_code: '<div>Updated ad content</div>',
width: 300,
height: 250,
additional_offer_ids: [],
is_apply_specific_affiliates: false
}
})
};
fetch('https://api.eflow.team/v1/networks/custom/creative/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/custom/creative/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'network_offer_creative_ids' => [
10,
20
],
'network_affiliate_ids' => [
100,
200
],
'name' => 'Updated Holiday Banner',
'custom_setting_status' => 'active',
'creative' => [
'network_id' => 1,
'network_offer_id' => 5,
'name' => 'Updated Banner Creative',
'creative_type' => 'html',
'is_private' => false,
'creative_status' => 'active',
'html_code' => '<div>Updated ad content</div>',
'width' => 300,
'height' => 250,
'additional_offer_ids' => [
],
'is_apply_specific_affiliates' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/custom/creative/{settingId}"
payload := strings.NewReader("{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.eflow.team/v1/networks/custom/creative/{settingId}")
.header("X-Eflow-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/custom/creative/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"network_offer_creative_ids\": [\n 10,\n 20\n ],\n \"network_affiliate_ids\": [\n 100,\n 200\n ],\n \"name\": \"Updated Holiday Banner\",\n \"custom_setting_status\": \"active\",\n \"creative\": {\n \"network_id\": 1,\n \"network_offer_id\": 5,\n \"name\": \"Updated Banner Creative\",\n \"creative_type\": \"html\",\n \"is_private\": false,\n \"creative_status\": \"active\",\n \"html_code\": \"<div>Updated ad content</div>\",\n \"width\": 300,\n \"height\": 250,\n \"additional_offer_ids\": [],\n \"is_apply_specific_affiliates\": false\n }\n}"
response = http.request(request)
puts response.read_body{
"network_custom_creative_setting_id": 123,
"network_id": 123,
"network_offer_creative_ids": [
123
],
"network_affiliate_ids": [
123
],
"name": "<string>",
"custom_setting_status": "active",
"time_created": 1734455015,
"time_saved": 1734455015,
"relationship": {
"affiliates": [
{}
],
"creative": {}
}
}Authorizations
Body
application/json
Response
200 - application/json
Was this page helpful?
